package com.hw.wms.service;

import java.util.List;
import com.hw.wms.domain.WmsRawStock;

/**
 * 原材料库存Service接口
 * 
 * @author xs
 * @date 2023-12-20
 */
public interface IWmsRawStockService 
{
    /**
     * 查询原材料库存
     * 
     * @param rawStockId 原材料库存主键
     * @return 原材料库存
     */
    public WmsRawStock selectWmsRawStockByRawStockId(Long rawStockId);

    /**
     * 查询原材料库存列表
     * 
     * @param wmsRawStock 原材料库存
     * @return 原材料库存集合
     */
    public List<WmsRawStock> selectWmsRawStockList(WmsRawStock wmsRawStock);

    /**
     * 新增原材料库存
     * 
     * @param wmsRawStock 原材料库存
     * @return 结果
     */
    public int insertWmsRawStock(WmsRawStock wmsRawStock);

    /**
     * 修改原材料库存
     * 
     * @param wmsRawStock 原材料库存
     * @return 结果
     */
    public int updateWmsRawStock(WmsRawStock wmsRawStock);

    /**
     * 批量删除原材料库存
     * 
     * @param rawStockIds 需要删除的原材料库存主键集合
     * @return 结果
     */
    public int deleteWmsRawStockByRawStockIds(Long[] rawStockIds);

    /**
     * 删除原材料库存信息
     * 
     * @param rawStockId 原材料库存主键
     * @return 结果
     */
    public int deleteWmsRawStockByRawStockId(Long rawStockId);
}
